$regfile = "2313def.dat"
$crystal = 4000000                                          'change to the value of the XTAL you have installed
$baud = 9600

Declare Sub Cmd_kontrol
Declare Sub Cmd_command
Declare Sub Cmd_write_string
Declare Sub Cmd_loc_ddram
Declare Sub Cmd_contrast
Declare Sub Cmd_rddata_ddram


Const Start_data = &HFE                                     'Alamat SPC CHARACTER LCD
Const Lcd_control = &H00                                    'Command Control
Const Lcd_multiple = &H02                                   'Command Write Multiple Character
Const Lcd_loc_ddram = &H03                                  'Command Locate DDRAM
Const Lcd_loc_cgram = &H04                                  'Command Locate CGRAM
Const Lcd_contrast = &H05                                   'Command Set Contrast
Const Lcd_data_ddram = &H06                                 'Command Read Data DDRAM
Const Lcd_data_cgram = &H07                                 'Command Read Data CGRAM
Const Lcd_addr_ddram = &H08                                 'Command Read Address DDRAM
Const Lcd_addr_cgram = &H09                                 'Command Read Address CGRAM
Const Lcd_lcd = &H0A                                        'Command untuk mengirimkan Command LCD

Dim Data_lcd As Byte
Dim Data_kolom As Byte
Dim Data_baris As Byte
Dim I As Byte
Dim J As Byte
Dim K As Byte
Dim Data_read(10) As Byte

Waitms 100

Data_lcd = &H8E                                             'Backlight|D/C|Left|Right|Direction|Display|Cursor|Blink
Call Cmd_kontrol
Data_lcd = 10
Call Cmd_contrast
Data_lcd = &H01
Call Cmd_command
Waitms 2
Print "h";
Waitms 2
Print "e";
Waitms 2
Print "l";
Waitms 2
Print "l";
Waitms 2
Print "o";
Waitms 2
Data_kolom = 0
Data_baris = 2
Call Cmd_loc_ddram
Restore Data_string1

Call Cmd_write_string
Data_kolom = 0
Data_baris = 2
Call Cmd_loc_ddram
For K = 0 To 9
   Call Cmd_rddata_ddram
   Data_read(k + 1) = Data_lcd
   Waitms 2
Next
Wait 1
Data_lcd = 5
Call Cmd_contrast
Data_baris = 1
Data_kolom = 15
Call Cmd_loc_ddram
Data_lcd = &H07
Call Cmd_kontrol
For K = 0 To 9
   Print Chr(data_read(k + 1));
   Waitms 2
Next

End


Sub Cmd_kontrol
Print Chr(start_data);
Waitms 2
Print Chr(lcd_control);
Waitms 2
Print Chr(data_lcd);
Waitms 2
End Sub

Sub Cmd_contrast
Print Chr(start_data);
Waitms 2
Print Chr(lcd_contrast);
Waitms 2
Print Chr(data_lcd);
Waitms 2
End Sub

Sub Cmd_command
Print Chr(start_data);
Waitms 2
Print Chr(lcd_lcd);
Waitms 2
Print Chr(data_lcd);
Waitms 2
End Sub

Sub Cmd_loc_ddram
Print Chr(start_data);
Waitms 2
Print Chr(lcd_loc_ddram);
Waitms 2
Print Chr(data_kolom);
Waitms 2
Print Chr(data_baris);
Waitms 2
End Sub

Sub Cmd_rddata_ddram
Print Chr(start_data);
Waitms 2
Print Chr(lcd_data_ddram);
Data_lcd = Waitkey()
Waitms 1
End Sub

Sub Cmd_write_string
   Print Chr(start_data);
   Waitms 2
   Print Chr(lcd_multiple);
   Waitms 2
   While Data_lcd <> 0
      Read Data_lcd
      Print Chr(data_lcd);
      Waitms 2
   Wend
   Waitms 2
End Sub

Data_string1:
Data "innovative"

